Skip to main content

Posts

Latest: updatethreatblock.sh

#!/bin/bash # # usage updatethreatblock.sh <configuration file> # eg: updatethreatblock.sh /etc/ipset-threatblock/ipset-threatblock.conf # function exists() { command -v "$1" >/dev/null 2>&1 ; } if [[ -z "$1" ]]; then   echo "Error: please specify a configuration file, e.g. $0 /etc/ipset-threatblock/ipset-threatblock.conf"   exit 1 fi # shellcheck source=ipset-threatblock.conf if ! source "$1"; then   echo "Error: can't load configuration file $1"   exit 1 fi if ! exists curl && exists egrep && exists grep && exists ipset && exists iptables && exists sed && exists sort && exists wc ; then   echo >&2 "Error: searching PATH fails to find executables among: curl egrep grep ipset iptables sed sort wc"   exit 1 fi DO_OPTIMIZE_CIDR=no if exists iprange && [[ ${OPTIMIZE_CIDR:-yes} != no ]]; then   DO_OPTIMIZE_CIDR=yes fi if [[ ! -d $(dirname &q
Recent posts

Ronald Bartels

 

Fusion Broadband Adopts Netify Informatics Into SD-WAN

Fusion Broadband and eGloo have partnered to add network-intelligence alongside Fusion's core SD-WAN service. Headquartered in Australia with operations extending throughout Southeast Asia and South Africa, Fusion provides partners and customers with reliable, carrier-agnostic telecom connectivity. The addition of Netify's network intelligence solution provides added value in a competitive marketplace while paving the way for new features that include cybersecurity analysis, dynamic routing policy and control.  Read the article over at Netify:  Fusion Broadband Adopts Netify Informatics Into SD-WAN

Using OpenSSL with Ed Harmoush 1/6 Generating Public & Private Keys

 

RASPAP

The easiest, full-featured wireless router setup for Debian-based devices. Period. Reference: https://raspap.com/

Malcolm

Malcolm is a powerful, easily deployable network traffic analysis tool suite for full packet capture artifacts (PCAP files) and Zeek logs. Reference: https://github.com/cisagov/Malcolm

No Scrubs: The Architecture That Made Unmetered Mitigation Possible

When building a DDoS mitigation service it’s incredibly tempting to think that the solution is scrubbing centers or scrubbing servers. I, too, thought that was a good idea in the beginning, but experience has shown that there are serious pitfalls to this approach. Read the post of at Cloudflare's blog: N o Scrubs: The Architecture That Made Unmetered Mitigation Possible